/* MAGYAR.CMD: A MEMSIZE teleptse magyar nyelven. */

'@Echo Off'
'CHCP 852'

/* REXXUTIL betltse */

Call RxFuncAdd 'SysLoadFuncs', 'REXXUTIL', 'SysLoadFuncs'
Call SysLoadFuncs


/* Inicializls */

Signal On Failure Name FAILURE
Signal On Halt Name HALT
Signal On Syntax Name SYNTAX

Call SysCls
Say 'MEMSIZE teleptse...'
Say ''


/* Komponens-fjlok ltezsnek vizsglata */

Language = 'MAGYAR'

Result = SysFileTree( 'MEMSIZE.EXE', 'Files', 'F' )
If Files.0 = 0 Then
  Do
  Say 'HIBA: MEMSIZE.EXE nem tallhat!'
  Signal DONE
  End

Result = SysFileTree( Language".DLL", 'Files', 'F' )
If Files.0 = 0 Then
  Do
  Say 'Hiba: 'Language'.DLL nem tallhat!'
  Signal DONE
  End

Result = SysFileTree( Language".HLP", 'Files', 'F' )
If Files.0 = 0 Then
  Do
  Say 'Hiba: 'Language'.HLP nem tallhat!'
  Signal DONE
  End

/* A clalknyvtr nevnek bekrse */

Default = SysIni('USER', 'MEMSIZE', 'INIPATH' )
If Default = 'ERROR:'
  Then Default = 'C:\OS2\Apps'
If SUBSTR(Default,LENGTH(Default),1) <= ' '
  Then Default = SUBSTR(Default,1,LENGTH(Default)-1)

Say 'Add meg az alknyvtr teljes nevt, amelybe a MEMSIZE-ot'
Say '  telepteni akarod (alaprtelmezs: 'Default')! '
Parse Pull Directory
If Directory = "" Then Directory = Default


/* A clalknyvtr ltrehozsa, ha szksges */

Result = SysFileTree( Directory, 'Dirs', 'D' )
If Dirs.0 = 0 Then
  Do
  Result = SysMkDir( Directory )
  if Result == 0 Then
    Do
    End
  Else
    Do
    Say 'HIBA: Clalknyvtr nem hozhat ltre.'

    Signal DONE
    End
  End
Say ''


/* A clgyjt nevnek bekrse */

Say 'Akarod az Automatikus indts gyjtbe telepteni? (I/N)'
Pull YesNo
If YesNo = "I" Then
  Do
  Folder = '<WP_START>'
  Say 'Az objektum az Automatikus indts gyjtbe kerl.'
  End
Else
  Do
  Folder = '<WP_DESKTOP>'
  Say 'Az objektum a munkaasztalra kerl.'
  End
Say ''


/* Rgi objektum trlse, ha ltezik */

Call SysDestroyObject( '<MEMSIZE>' )
Call SysSleep( 5 )


/* Telepts elvgzse */

Say 'MEMSIZE msolsa a(z) 'Directory' alknyvtrba...'
Copy MEMSIZE.EXE Directory                  '1>NUL'
Copy Language".DLL" Directory"\MEMSIZE.DLL" '1>NUL'
Copy Language".HLP" Directory"\MEMSIZE.HLP" '1>NUL'
Copy Language".DOC" Directory"\MEMSIZE.DOC" "1>NUL"

Result = SysFileTree( "HLP2INF.EXE", 'Files', 'F' )
If Files.0 > 0 Then
   Do
   Result = SysFileTree( Directory"\MEMSIZE.INF", 'Files', 'F' )
   If Files.0 > 0 Then
      Do
      "Erase" Directory"\MEMSIZE.INF"
      End
   "HLP2INF" Directory"\MEMSIZE.HLP"
   End

Result = SysFileTree( "SNAPSHOT.EXE", 'Files', 'F' )
If Files.0 > 0 Then
   Do
   Copy "SNAPSHOT.EXE" Directory"\SNAPSHOT.EXE"  '1>NUL'
   End

Say 'Programobjektum ltrehozsa...'
Type = 'WPProgram'
Title = 'System Resources'
Parms = 'OPEN=DEFAULT;MINWIN=DESKTOP;PROGTYPE=PM;EXENAME='Directory'\MEMSIZE.EXE;STARTUPDIR='Directory';OBJECTID=<MEMSIZE>;NOPRINT=YES;'
Result = SysCreateObject( Type, Title, Folder, Parms, 'ReplaceIfExists' )

If Result = 1 Then
  Say 'Objektum ltrehozva!  Ksz.'
Else
  Say 'HIBA: Az objektum nem jtt ltre.'

Signal DONE

FAILURE:
Say 'REXX hiba.'
Signal DONE

HALT:
Say 'REXX lells.'
Signal DONE

SYNTAX:
Say 'REXX szintaktikai hiba.'
Signal DONE

DONE:
Exit
